[help] msfconsole error
#1
Quote:[email protected]:~$ sudo msfconsole
[sudo] password for mi7:
[-] Failed to connect to the database: could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?
could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?
{"adapter"=>"postgresql", "database"=>"msf3dev", "username"=>"msf3", "password"=>"65564c58", "port"=>7337, "host"=>"localhost", "pool"=>256, "timeout"=>5} ["/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:968:in `initialize'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:968:in `new'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:968:in `connect'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:217:in `initialize'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:37:in `new'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:37:in `postgresql_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:223:in `new_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:245:in `checkout_new_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:188:in `block (2 levels) in checkout'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:184:in `loop'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:184:in `block in checkout'", "/opt/metasploit/ruby/lib/ruby/1.9.1/monitor.rb:201:in `mon_synchronize'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:183:in `checkout'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:98:in `connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:326:in `retrieve_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_specification.rb:123:in `retrieve_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_specification.rb:115:in `connection'", "/opt/metasploit/msf3/lib/active_record/base.rb:1271:in `columns'", "/opt/metasploit/msf3/lib/active_record/base.rb:1284:in `column_names'", "/opt/metasploit/msf3/lib/active_record/base.rb:1297:in `column_methods_hash'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `block in all_attributes_exists?'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `each'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `all?'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `all_attributes_exists?'", "/opt/metasploit/msf3/lib/active_record/base.rb:1842:in `method_missing'", "/opt/metasploit/msf3/lib/msf/core/model/workspace.rb:70:in `default'", "/opt/metasploit/msf3/lib/msf/core/db.rb:197:in `default_workspace'", "/opt/metasploit/msf3/lib/msf/core/db_manager.rb:161:in `connect'", "/opt/metasploit/msf3/lib/msf/ui/console/driver.rb:195:in `initialize'", "/opt/metasploit/msf3/msfconsole:134:in `new'", "/opt/metasploit/msf3/msfconsole:134:in `<main>'"]

+-------------------------------------------------------+
| METASPLOIT by Rapid7 |
+---------------------------+---------------------------+
| __________________ | |
| ==c(______(o(______(_() | |""""""""""""|======[*** |
| )=\ | | EXPLOIT \ |
| // \\ | |_____________\_______ |
| // \\ | |==[msf >]============\ |
| // \\ | |______________________\ |
| // RECON \\ | \(@)(@)(@)(@)(@)(@)(@)/ |
| // \\ | ********************* |
+---------------------------+---------------------------+
| o O o | \'\/\/\/'/ |
| o O | )======( |
| o | .' LOOT '. |
| |^^^^^^^^^^^^^^|l___ | / _||__ \ |
| | PAYLOAD |""\___, | / (_||_ \ |
| |________________|__|)__| | | __||_) | |
| |(@)(@)"""**|(@)(@)**|(@) | " || " |
| = = = = = = = = = = = = | '--------------' |
+---------------------------+---------------------------+



=[ metasploit v4.2.0-release [core:4.2 api:1.0]
+ -- --=[ 802 exploits - 450 auxiliary - 135 post
+ -- --=[ 246 payloads - 27 encoders - 8 nops
=[ svn r15157 updated 59 days ago (2012.02.22)

Warning: This copy of the Metasploit Framework was last updated 59 days ago.
We recommend that you update the framework at least every other day.
For information on updating your copy of Metasploit, please see:
https://community.rapid7.com/docs/DOC-1306

msf >

kira-kira ada yang bisa kasih solusi tentang error

[-] Failed to connect to the database: could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?
could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?

#2
dah pernah Update belum Om?
Spoiler! :
<<Back|Track
☆‍‍‍‍☆‍‍‍‍☆‍‍‍‍☆☆


#3
(05-24-2012, 11:38 AM)Al - Ayyubi Wrote: dah pernah Update belum Om?

punya saya juga gto bang Smile Smile Smile

truz diupdate malah gini

[email protected]:~# msfupdate
[*]
[*] Attempting to update the Metasploit Framework...
[*]

svn: In directory 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay'
svn: Error processing command 'modify-wcprop' in 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay'
svn: 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay/encoder.rb' is not under version control
svn: Working copy '.' locked
svn: run 'svn cleanup' to remove locks (type 'svn help cleanup' for details)

mohon bantuannya
o ya saya anak baru di IBT
salam kenal aja semuanya ya
makasih sebelumnya

Confused:- Confused:- Confused:-

#4
(04-21-2012, 04:26 PM)Alexander.inc Wrote:
Quote:[email protected]:~$ sudo msfconsole
[sudo] password for mi7:
[-] Failed to connect to the database: could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?
could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?
{"adapter"=>"postgresql", "database"=>"msf3dev", "username"=>"msf3", "password"=>"65564c58", "port"=>7337, "host"=>"localhost", "pool"=>256, "timeout"=>5} ["/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:968:in `initialize'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:968:in `new'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:968:in `connect'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:217:in `initialize'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:37:in `new'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/postgresql_adapter.rb:37:in `postgresql_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:223:in `new_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:245:in `checkout_new_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:188:in `block (2 levels) in checkout'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:184:in `loop'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:184:in `block in checkout'", "/opt/metasploit/ruby/lib/ruby/1.9.1/monitor.rb:201:in `mon_synchronize'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:183:in `checkout'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:98:in `connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_pool.rb:326:in `retrieve_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_specification.rb:123:in `retrieve_connection'", "/opt/metasploit/msf3/lib/active_record/connection_adapters/abstract/connection_specification.rb:115:in `connection'", "/opt/metasploit/msf3/lib/active_record/base.rb:1271:in `columns'", "/opt/metasploit/msf3/lib/active_record/base.rb:1284:in `column_names'", "/opt/metasploit/msf3/lib/active_record/base.rb:1297:in `column_methods_hash'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `block in all_attributes_exists?'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `each'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `all?'", "/opt/metasploit/msf3/lib/active_record/base.rb:1986:in `all_attributes_exists?'", "/opt/metasploit/msf3/lib/active_record/base.rb:1842:in `method_missing'", "/opt/metasploit/msf3/lib/msf/core/model/workspace.rb:70:in `default'", "/opt/metasploit/msf3/lib/msf/core/db.rb:197:in `default_workspace'", "/opt/metasploit/msf3/lib/msf/core/db_manager.rb:161:in `connect'", "/opt/metasploit/msf3/lib/msf/ui/console/driver.rb:195:in `initialize'", "/opt/metasploit/msf3/msfconsole:134:in `new'", "/opt/metasploit/msf3/msfconsole:134:in `<main>'"]

+-------------------------------------------------------+
| METASPLOIT by Rapid7 |
+---------------------------+---------------------------+
| __________________ | |
| ==c(______(o(______(_() | |""""""""""""|======[*** |
| )=\ | | EXPLOIT \ |
| // \\ | |_____________\_______ |
| // \\ | |==[msf >]============\ |
| // \\ | |______________________\ |
| // RECON \\ | \(@)(@)(@)(@)(@)(@)(@)/ |
| // \\ | ********************* |
+---------------------------+---------------------------+
| o O o | \'\/\/\/'/ |
| o O | )======( |
| o | .' LOOT '. |
| |^^^^^^^^^^^^^^|l___ | / _||__ \ |
| | PAYLOAD |""\___, | / (_||_ \ |
| |________________|__|)__| | | __||_) | |
| |(@)(@)"""**|(@)(@)**|(@) | " || " |
| = = = = = = = = = = = = | '--------------' |
+---------------------------+---------------------------+



=[ metasploit v4.2.0-release [core:4.2 api:1.0]
+ -- --=[ 802 exploits - 450 auxiliary - 135 post
+ -- --=[ 246 payloads - 27 encoders - 8 nops
=[ svn r15157 updated 59 days ago (2012.02.22)

Warning: This copy of the Metasploit Framework was last updated 59 days ago.
We recommend that you update the framework at least every other day.
For information on updating your copy of Metasploit, please see:
https://community.rapid7.com/docs/DOC-1306

msf >

kira-kira ada yang bisa kasih solusi tentang error

[-] Failed to connect to the database: could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?
could not connect to server: Connection refused
Is the server running on host "localhost" and accepting
TCP/IP connections on port 7337?

ikuti cara di mari om http://www.meonkzt.com/post-repair-metasploit-error
semoga dapat membantu
MY__DRAGON__STILL__ASLEEP

#5
Unable to connect to database. Make sure it's running.
source fastandeasyhacking.com


coba om hapus data ini om ,
Code:
rm /opt/framework3/postgresql/data/postmaster.pid
rm /opt/framework3/postgresql/.s.PGSQL.7175
rm /opt/framework3/postgresql/.s.PGSQL.7175.lock

start lg postgresnya
/etc/init.d/framework-postgres start

lalu jalankan kembali msfconsole nya.
I Hear I Forget
I See I Remember
I Do I Understand

#6
(11-25-2012, 06:42 AM)viruz Wrote:
(05-24-2012, 11:38 AM)Al - Ayyubi Wrote: dah pernah Update belum Om?

punya saya juga gto bang Smile Smile Smile

truz diupdate malah gini

[email protected]:~# msfupdate
[*]
[*] Attempting to update the Metasploit Framework...
[*]

svn: In directory 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay'
svn: Error processing command 'modify-wcprop' in 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay'
svn: 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay/encoder.rb' is not under version control
svn: Working copy '.' locked
svn: run 'svn cleanup' to remove locks (type 'svn help cleanup' for details)

mohon bantuannya
o ya saya anak baru di IBT
salam kenal aja semuanya ya
makasih sebelumnya

Confused:- Confused:- Confused:-

caranya,, remove framework3 dan..
Update Lagi Aja bang .. dengan ke metasploit terbaru...
yang versi 4
====== KEDIRI CYBER ARMY ======

#7
di reinstall aja bang. :v
./FREEDOM-IS-CHOICE.sh

#8
bang ini sama kayak punya ku deh. sekarang kayanya lo ya metasploit framwork sama social engineering toolkit package nya gak ambil dari SVN lagi kali di ganti source nya ke github jadi kalo download ke SVN gk bs. tapi gak tau lagi se saya juga masih awam tentang backtrack. SET sama msf saya juga eror
HACK THE PLANET

#9
(02-06-2013, 12:41 AM)blackfruit Wrote:
(11-25-2012, 06:42 AM)viruz Wrote:
(05-24-2012, 11:38 AM)Al - Ayyubi Wrote: dah pernah Update belum Om?

punya saya juga gto bang Smile Smile Smile

truz diupdate malah gini

[email protected]:~# msfupdate
[*]
[*] Attempting to update the Metasploit Framework...
[*]

svn: In directory 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay'
svn: Error processing command 'modify-wcprop' in 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay'
svn: 'lib/gemcache/ruby/1.9.1/gems/coderay-1.0.7/lib/coderay/encoder.rb' is not under version control
svn: Working copy '.' locked
svn: run 'svn cleanup' to remove locks (type 'svn help cleanup' for details)

mohon bantuannya
o ya saya anak baru di IBT
salam kenal aja semuanya ya
makasih sebelumnya

Confused:- Confused:- Confused:-

caranya,, remove framework3 dan..
Update Lagi Aja bang .. dengan ke metasploit terbaru...
yang versi 4


pake git clone kalo mau update msf.


cd /opt/metasploit
mkdir msf4
git clone http://github.com/rapid7/metasploit-framework.git msf4

abis itu copy semua isi msf4 , replace ke msf3

##########################################
gantian ane nanya nih .


ini error kenapa ya ? pas saat pake SET yg kaya di video" tutorial gitu deh. http://lockerz.com/s/284690617 (bingung cara nya post foto jd pake link aja )
AngrySmile:-





Users browsing this thread: 1 Guest(s)